.terminalContainer {
}

.terminalWindow {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 50rem;
  border: 1px solid #414141;
  box-shadow: $box-shadow-default;
  background: #1e1e1e;
  border-radius: 0.3rem;
  text-align: left;
  overflow: hidden;
}

.windowTitleBar {
  position: relative;
  height: 2rem;
  line-height: 2rem;
  flex-shrink: 0;
  padding: 0 0.25rem;
  border-bottom: 1px solid #414141;
  user-select: none;
}

.windowOrb {
  display: inline-block;
  vertical-align: 0px;
  width: 0.75rem;
  height: 0.75rem;
  margin: 0 0.25rem;
  background: #8a8a8a;
  border-radius: 50%;
}

.windowTitleText {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  line-height: inherit;
  text-align: center;
  color: #cccccc;
}

.windowBody {
  flex: 1;
  color: #cccccc;
  padding: 1rem;
  font-family: Consolas, monospace;
}

.terminalLine {
  line-height: 1.5em;
  visibility: hidden;
}

.terminalPrompt {
  font-weight: bold;
  color: white;
}

.terminalLineWithPrompt {
  @extend .terminalLine;
  @extend .terminalPrompt;
}

.terminalLineVisible {
  visibility: visible;
}

.terminalPromptText {
  margin-right: 0.5em;
  user-select: none;
}

.terminalInput {
  @extend .terminalPrompt;
}

.terminalInputCursor {
  display: inline-block;
  vertical-align: middle;
  width: 0.6em;
  height: 1em;
  background: white;
  opacity: 0.5;
  margin-left: 0.2rem;
}

.terminalColour[colour='green'] {
  color: #00c072;
}

.terminalColour[colour='dim'] {
  opacity: 0.6;
}

.terminalColour[colour='cyan'] {
  color: #00aad1;
}
